#pragma once

#include "BaseControl.h"


class Engine CEditBoxControl
	: public CBaseControl
{

public:
	CEditBoxControl( int aIdx, LPCWSTR aName, int aX, int aY, int aWidth, int aHeight, 
		DWORD aStyle = WS_CHILD | WS_VISIBLE | WS_BORDER );
	~CEditBoxControl(void);


	void				SetText( LPCWSTR aText );	
	LPCWSTR				GetText( void );
};

